package com.fms.system.service;

import java.util.List;
import java.util.Map;

import com.fms.system.domain.Failure;

/**
 * 故障记录Service接口
 * 
 * @author Allen
 * @date 2024-05-14
 */
public interface IFailureService 
{
    /**
     * 查询故障记录
     * 
     * @param id 故障记录主键
     * @return 故障记录
     */
    public Failure selectFailureById(Long id);

    /**
     * 查询故障记录列表
     * 
     * @param failure 故障记录
     * @return 故障记录集合
     */
    public List<Failure> selectFailureList(Failure failure);

    /**
     * 新增故障记录
     * 
     * @param failure 故障记录
     * @return 结果
     */
    public int insertFailure(Failure failure);

    /**
     * 修改故障记录
     * 
     * @param failure 故障记录
     * @return 结果
     */
    public int updateFailure(Failure failure);

    /**
     * 批量删除故障记录
     * 
     * @param ids 需要删除的故障记录主键集合
     * @return 结果
     */
    public int deleteFailureByIds(Long[] ids);

    /**
     * 删除故障记录信息
     * 
     * @param id 故障记录主键
     * @return 结果
     */
    public int deleteFailureById(Long id);

    String importData(List<Failure> failureList, boolean updateSupport, String operName);

    String generateReport(String reportMonth, String major);

    List<Map> getMajorOption();
}
